Subject: RE: [Sip] "t=" in 200

From: Baniel Uri-CUB001 <[email-masked]>
Date: Mon, 6 Aug 2001 10:49:40 -0500

Yes, actually I agree that for my needs I will be using the mechanism of
accepting (200 OK) a call with an "on hold" SDP.
When the "acceptor" wants to get the caller off hold he will have to do it
explicitly...

Thanks,

Uri

=======================================================================
[email-masked], 
Tel: (847) 632 4616; Fax: (847) 632 3963; 
"If it wasn't for bad luck, I would not have luck at all" - Cream 1968
=======================================================================

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]]
> Sent: Monday, August 06, 2001 10:59 AM
> To: Baniel Uri-CUB001
> Cc: 'Jonathan Rosenberg'; [email-masked]'
> Subject: Re: [Sip] "t=" in 200
> 
> 
> Hello,
> 
> You can always accept (200 OK) a call with an "on hold" SDP. However,
> there is no way to signal that you will place the call 
> out-of-hold at a
> particular time in the future.
> 
> It seems that you are looking for such a mechanism, right?
> 
> As Jonathan suggested, using the t line does not seem to be the right
> approach. It is neither defined in the spec nor implemented 
> by anybody.
> 
> Regards,
> 
> Gonzalo
> 
> Baniel Uri-CUB001 wrote:
> > 
> > I just thought of few scenarios, which having the ability 
> to respond with a
> > 200 OK and SDP:t=curr_time+x 0, may enable the UAS to let 
> the UAC know it
> > accepted the call, but will be able to start interchanging 
> RTP only x
> > seconds later on.
> > 
> > 
> ==============================================================
> =========
> > [email-masked],
> > Tel: (847) 632 4616; Fax: (847) 632 3963;
> > "If it wasn't for bad luck, I would not have luck at all" - 
> Cream 1968
> > 
> ==============================================================
> =========
> > 
> > > -----Original Message-----
> > > From: Jonathan Rosenberg [mailto:[email-masked]]
> > > Sent: Friday, August 03, 2001 1:59 PM
> > > To: 'Gonzalo Camarillo'; Baniel Uri-CUB001
> > > Cc: [email-masked]'
> > > Subject: RE: [Sip] "t=" in 200
> > >
> > >
> > >
> > >
> > >
> > >
> > > > -----Original Message-----
> > > > From: Gonzalo Camarillo 
[mailto:[email-masked]]
> > > Sent: Thursday, August 02, 2001 1:10 PM
> > > To: Baniel Uri-CUB001
> > > Cc: [email-masked]'
> > > Subject: Re: [Sip] "t=" in 200
> > >
> > >
> > > Hello,
> > >
> > > That would be legal, because the session you are actually
> > accepting in
> > > the one that you are sending in the 200 OK. However, no UA supports
> > > this.
> >
> > SIP imposes restrictions about what can be in the 200 OK in
> > order for both
> > sides to agree on whats going on. The text says nothing about
> > the t value,
> > and I would argue that this parameter should not be negotiable.
> >
> > -Jonathan R.
> > ---
> > Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> > Chief Scientist                             First Floor
> > dynamicsoft                                 East Hanover, NJ 07936
> > [email-masked]                     FAX:   (973) 952-5050
> > http://www.jdrosen.net                      PHONE: (973) 952-5000
> > http://www.dynamicsoft.com
> >

-- 
Gonzalo Camarillo                    Phone :   +1 212 939 71 71
Columbia University                  Mobile:  +358 40 702 35 35
472 Computer Science Building        Fax   :  +358  9 299 30 52
1214 Amsterdam Ave., Mail Code 0401  http://www.hut.fi/~gonzalo
New York, NY 10027                   
USA                              [email-masked]

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip